Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class SlotIterator

    java.lang.Object
      org.eclipse.birt.report.model.api.SlotIterator

All Implemented Interfaces:
  java.util.Iterator

    public class SlotIterator

extends java.lang.Object
implements java.util.Iterator

An Iterator over the elements in a slot. Each call to `getNext( )` returns a handle of type `DesignElementHandle`.

Field Summary
`protected int` | `posn` Current iteration position.
`protected SlotHandle` | `slotHandle` Handle to the slot over which to iterate.

Constructor Summary
`SlotIterator(SlotHandle handle)` Constructs an iterator for the given slot.

Method Summary
`boolean` | `hasNext()`
`java.lang.Object` | `next()` Returns a handle to the next content element.
`void` | `remove()` Removes the element at the current iterator position.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### slotHandle

    protected final SlotHandle slotHandle

  Handle to the slot over which to iterate.

### posn

    protected int posn

  Current iteration position.

Constructor Detail

### SlotIterator

    public SlotIterator(SlotHandle handle)

  Constructs an iterator for the given slot.

  Parameters:
    `handle` - handle to the slot over which to iterate

Method Detail

### remove

    public void remove()

  Removes the element at the current iterator position.

  Specified by:
    `remove` in interface `java.util.Iterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Returns a handle to the next content element. The handle is one of the various element classes derived from `DesignElementHandle`.

  Specified by:
    `next` in interface `java.util.Iterator`
  Returns:
    a handle to the next content element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.